
Redmine - Defect #825

Remote Subversion repositories are not refreshed by the application

2008-03-10 22:01 - Kai Janson

Status: Closed Start date: 2008-03-08

Priority: High Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

All my subversion repositories are held online.  I have to manually run "Repository.fetch_changesets" from the command line

in order to see the latest commits.  That's very bothersome.

I wonder if it should be configurable to include the "Repository.fetch_changesets" command everytime

I click on the repository tab, or offer a refresh button that does exactly that.

The remote Subversion servers are in version 1.3 and 1.4.

I was hoping that ticket #816 would fix it, but it did not.  Now it's back to square one; no refresh of the remote subversion repositories.

:(

Related issues:

Has duplicate Redmine - Defect #816: Remote Subversion repositories are not r... Closed 2008-03-08

History

#1 - 2008-03-10 22:34 - Jean-Philippe Lang

Creating a new ticket doesn't help much.

Please, tell me what you get in the log after having added 2>&1 to the svn list command ?

#2 - 2008-05-18 10:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.6.3)

Reopen if needed.

#3 - 2009-06-10 21:04 - Péter Major

- Status changed from Closed to Reopened

Jean-Philippe Lang wrote:

Reopen if needed.

 We were added the '2&>1' to the cmd but it's still not working.

The log contains:

Error parsing svn output: #<REXML::ParseException: No close tag for /lists/list>

/usr/local/lib/ruby/1.8/rexml/parsers/treeparser.rb:28:in `parse'

/usr/local/lib/ruby/1.8/rexml/document.rb:227:in `build'

/usr/local/lib/ruby/1.8/rexml/document.rb:43:in `initialize'

/var/lib/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in `new'

/var/lib/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:85:in `entries'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:177:in `call'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:177:in `shellout'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:175:in `popen'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:175:in `shellout'

/var/lib/redmine/lib/redmine/scm/adapters/abstract_adapter.rb:165:in `shellout'

/var/lib/redmine/lib/redmine/scm/adapters/subversion_adapter.rb:82:in `entries'

/var/lib/redmine/app/models/repository.rb:63:in `entries'
https://www.redmine.org/issues/816


 We are using filesystem SVN and Redmine 0.8.4.

We also checked the svn list --xml output, but it looks like valid XML...

#4 - 2009-06-13 10:33 - Péter Major

It looks like we just had some ACL issues with the files. It's working now, sorry for bothering. (Although the error message could be more informative)

#5 - 2009-06-14 16:56 - Jean-Philippe Lang

- Status changed from Reopened to Closed

- Resolution set to Invalid

Thanks for the feedback.
